PETSc version 3.15.5
Fix/Edit manual page

# TaoGetKSP

Gets the linear solver used by the optimization solver. Application writers should use TaoGetKSP if they need direct access to the PETSc KSP object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetKSP(Tao tao, KSP *ksp)

Not Collective

### Input Parameters

| tao | - the TAO solver

### Output Parameters

| ksp | - the KSP linear solver used in the optimization solver

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/ts/tutorials/ex20opt_p.c.html
src/ts/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/tutorials/eptorsion1.c.html
src/tao/unconstrained/tutorials/eptorsion2.c.html
src/tao/unconstrained/tutorials/rosenbrock1.c.html
src/tao/constrained/tutorials/maros.c.html
src/tao/constrained/tutorials/ex1.c.html
src/tao/bound/tutorials/jbearing2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages